=== debian/changelog ===
cmocka-mocks (0.52.1-0ubuntu1) oracular; urgency=medium

  * Initial release (LP: #2069875).
    Based on upstream debian.native directory
    - debian: set cmocka-mocks section to devel.
    - debian: set cmocka-mocks-doc section to doc.
    - debian: set libcmocka-mocks-dev section to libdevel.
    - debian: update maintainer to Ubuntu Developers.
    - debian: remove vcs fields from control file.
      As these information won't be necessarly valid anymore if uploaded to
      Ubuntu.
    - debian: introduce debian/clean.
    - debian: generating doc only for Indep.
      This is optimizing build since doc package is specified for Architecture:all
    - debian: fix pkgconfig package name.
      W: cmocka-mocks source: build-depends-on-obsolete-package Build-Depends:
      pkg-config => pkgconf
    - debian: fix cmocka-mocks-doc.lintian-overrides.
    - debian: fix extended-description-is-probably-too-short.
    - debian: fix lintian-overrides lib versions.
    - debian: fix elektrobit namet  in copyright file.
    - Use dh_installdocs for the docs.
    - Remove the build 'all' option for arch builds.
    - Drop all libmock packages containing shared libraries.
    - Add static version of libmock into the dev package.

 -- Alexandre Esse <alexandre.esse@canonical.com>  Thu, 27 Jun 2024 16:13:27 +0200
