=== debian/control ===
Source: cmocka-mocks
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Isaac True <isaac.true@emlix.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 git,
 libcmocka-dev,
 cmocka-extensions-dev,
 libmnl-dev,
 libjson-c-dev,
 pkgconf,
 libssl-dev,
Build-Depends-Indep:
 pandoc,
 pandoc-plantuml-filter,
 graphviz,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/Elektrobit/cmocka_mocks

Package: libcmocka-mocks-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 cmocka-extensions-dev,
Suggests: cmocka-mocks-doc
Description: Library to mock common C functions for testing purposes
 Library to mock common C functions, like libc and jsonc, for testing purposes.
 This collection of ready to use mocks is based on cmocka_extensions.
 .
 Development package.

Package: cmocka-mocks-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: Documentation for cmocka-mocks
 Library to mock common C functions, like libc and jsonc, for testing purposes.
 This collection of ready to use mocks is based on cmocka_extensions.
 .
 Documentation package.
